> ## Documentation Index
> Fetch the complete documentation index at: https://docs.localpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取账户对账单

生成特定时期内所有已完成交易的详细报告。此接口专为会计、审计和财务对账而设计。


## OpenAPI

````yaml openapi/zh/localpayment.json GET /api/accounts/{accountNumber}/balance-reconciliation
openapi: 3.1.0
info:
  version: '1.0'
  title: Localpayment
  contact:
    name: Support
    url: mailto:support@localpayment.com
servers:
  - url: https://api.stage.localpayment.com
    description: Stage
security:
  - token: []
paths:
  /api/accounts/{accountNumber}/balance-reconciliation:
    get:
      summary: 获取账户对账单
      operationId: get-account-reconciliation-details
      parameters:
        - name: since
          in: query
          description: ' 开始日期`yyyy-mm-dd`格式。'
          required: true
          schema:
            type: string
        - name: until
          in: query
          description: 结束日期`yyyy-mm-dd`格式。
          required: true
          schema:
            type: string
        - name: accountNumber
          in: path
          description: Localpayment账号。
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        createdAt:
                          type: string
                          description: 创建交易日期。
                        processedAt:
                          type: string
                          description: 交易处理日期。
                        settlementDate:
                          type: string
                          description: 结算日期。
                        settlementDays:
                          type: integer
                          description: 结算天数。
                        internalId:
                          type: string
                          description: Localpayment交易标识符。
                        externalId:
                          type: string
                          description: 系统生成的唯一标识符，用于跟踪交易（包含字母、数字和连字符）。我们建议使用 UUID4 以确保唯一性。
                        providerId:
                          type: string
                          description: 提供者标识符。
                        clientCode:
                          type: string
                          description: 客户端代码。
                        providerCode:
                          type:
                            - string
                            - 'null'
                          description: 提供商代码
                        accountCountry:
                          type: string
                          description: 账户[国家/地区](/zh/reference/country-codes)。
                        country:
                          type: string
                          description: 账户[国家/地区](/zh/reference/country-codes)。
                        accountNumber:
                          type: string
                          description: Localpayment账号。
                        clientName:
                          type: string
                          description: 客户名称
                        providerName:
                          type: 'null'
                          description: 提供商名称。
                        merchant:
                          type: string
                          description: 商家名称。
                        clientAccountNumber:
                          type: string
                          description: 客户账号。
                        providerAccountNumber:
                          type: string
                          description: 供应商账号。
                        transactionType:
                          type: string
                          enum:
                            - PayIn
                            - PayOut
                            - CurrencyExchange
                            - Credit
                            - Debit
                            - Internal Transfer
                            - Refund
                            - Recurring Fee
                            - Wire out
                            - Subscriptions
                            - Chargeback
                            - Expenses
                            - Recall
                            - Return
                            - WireIn
                          description: '[交易类型。](/zh/reference/get-available-payment-methods)'
                        paymentMethodType:
                          type: string
                          description: >-
                            `payinPaymentMethods.paymentMethodType`
                            [属性](/zh/reference/get-available-payment-methods)中提供的支付方式。
                        paymentMethodCode:
                          type: string
                          description: 支付方式代码。
                        installments:
                          type: integer
                          description: 分期付款。
                        status:
                          type: string
                          description: '[状态](/zh/reference/transaction-status-error-codes)。'
                        statusCode:
                          type: string
                          description: '[状态码](/zh/reference/transaction-status-error-codes)。'
                        statusDescription:
                          type: string
                          description: 更多状态信息。
                        paymentCurrency:
                          type: string
                          enum:
                            - ARS
                            - BOB
                            - BRL
                            - CLP
                            - COP
                            - CRC
                            - DOP
                            - USD
                            - GTQ
                            - MXN
                            - PYG
                            - PEN
                            - UYU
                          description: 支付[货币](/zh/reference/currency-codes)。
                        paymentAmount:
                          type: integer
                          description: 付款金额。
                        fxQuote:
                          type: number
                          description: 货币兑换报价。
                        confirmedCurrency:
                          type: string
                          enum:
                            - ARS
                            - BOB
                            - BRL
                            - CLP
                            - COP
                            - CRC
                            - DOP
                            - USD
                            - GTQ
                            - MXN
                            - PYG
                            - PEN
                            - UYU
                          description: 已确认的[货币](/zh/reference/currency-codes)。
                        confirmedAmount:
                          type: integer
                          description: 已确认金额。
                        financialFeesCurrency:
                          type: string
                          enum:
                            - ARS
                            - BOB
                            - BRL
                            - CLP
                            - COP
                            - CRC
                            - DOP
                            - USD
                            - GTQ
                            - MXN
                            - PYG
                            - PEN
                            - UYU
                          description: 财务费用[货币](/zh/reference/currency-codes)。
                        financialFeesAmount:
                          type: 'null'
                          description: 财务费用金额。
                        feesCurrency:
                          type: string
                          enum:
                            - ARS
                            - BOB
                            - BRL
                            - CLP
                            - COP
                            - CRC
                            - DOP
                            - USD
                            - GTQ
                            - MXN
                            - PYG
                            - PEN
                            - UYU
                          description: 费用[货币](/zh/reference/currency-codes)。
                        feesAmount:
                          type: integer
                          description: 费用金额。
                        localTaxesCurrency:
                          type: string
                          enum:
                            - ARS
                            - BOB
                            - BRL
                            - CLP
                            - COP
                            - CRC
                            - DOP
                            - USD
                            - GTQ
                            - MXN
                            - PYG
                            - PEN
                            - UYU
                          description: 地方税[货币](/zh/reference/currency-codes)。
                        localTaxesAmount:
                          type: integer
                          description: 地方税额。
                        withholdingsCurrency:
                          type: string
                          enum:
                            - ARS
                            - BOB
                            - BRL
                            - CLP
                            - COP
                            - CRC
                            - DOP
                            - USD
                            - GTQ
                            - MXN
                            - PYG
                            - PEN
                            - UYU
                          description: 预扣税的[币种](/zh/reference/currency-codes)。
                        withholdingsAmount:
                          type: 'null'
                          description: 预扣税额。
                        accountCurrency:
                          type: string
                          enum:
                            - ARS
                            - BOB
                            - BRL
                            - CLP
                            - COP
                            - CRC
                            - DOP
                            - USD
                            - GTQ
                            - MXN
                            - PYG
                            - PEN
                            - UYU
                          description: 账户[货币](/zh/reference/currency-codes)。
                        accountAmount:
                          type: integer
                          description: 账户金额。
                        createdBy:
                          type: string
                          description: 创建者：
                        newStatusChangeRequest:
                          type: 'null'
                          description: 新的状态变更请求。
                        request:
                          type: object
                          description: 索取信息。
                          properties:
                            payer:
                              type: object
                              description: 付款人信息。
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - COMPANY
                                    - INDIVIDUAL
                                  description: 付款人类型。
                                name:
                                  type: string
                                  description: 付款人姓名。
                                lastName:
                                  type: string
                                  description: 付款人姓氏。
                                document:
                                  type: object
                                  description: 付款人身份证明文件信息。
                                  properties:
                                    type:
                                      type: string
                                      description: >-
                                        根据签发国家/地区的不同，[身份证明文件类型](/zh/reference/identity-document-types)可能包括国民身份证号码、社会保障号码或驾驶执照。
                                      examples:
                                        - RUC
                                    id:
                                      type: string
                                      description: 身份证件号码（通常为数字）。该号码必须符合特定证件类型的有效规定。
                                      examples:
                                        - '1791234561009'
                                  examples:
                                    - type: RUC
                                      id: '1791234561009'
                                userReference:
                                  type: string
                                  description: 付款人在您平台上的用户名或 ID。
                                phone:
                                  type: object
                                  description: 付款人电话号码。
                                  properties:
                                    countryCode:
                                      type: string
                                      description: 电话国家/地区代码。
                                    areaCode:
                                      type: string
                                      description: 电话国家/地区区号。
                                    number:
                                      type: string
                                      description: 电话号码。
                                birthDate:
                                  type: string
                                  description: 付款人出生日期（yyyy-mm-dd 格式）。
                                nationality:
                                  type: string
                                  description: 付款人国籍。
                                address:
                                  type: object
                                  description: 付款人的地址。
                                  properties:
                                    street:
                                      type: string
                                      description: 街道名称。
                                      examples:
                                        - Independencia
                                    number:
                                      type: string
                                      description: 街道号码。
                                      examples:
                                        - '123'
                                    city:
                                      type: string
                                      description: 城市。
                                      examples:
                                        - Cordoba
                                    state:
                                      type: string
                                      description: 州/省。
                                      examples:
                                        - Cordoba
                                    country:
                                      type: string
                                      description: 地址所在国家/地区。
                                      examples:
                                        - Argentina
                                    zipCode:
                                      type: string
                                      description: 邮政编码。
                                      examples:
                                        - X5000IUO
                                    comment:
                                      type: string
                                      description: 其他地址信息。
                                      examples:
                                        - Sucursal 123
                                  examples:
                                    - street: Independencia
                                      number: '123'
                                      city: Cordoba
                                      state: Cordoba
                                      country: ARG
                                      zipCode: X5000IUO
                                      comment: Sucursal 123
                              x-examples:
                                Example 1:
                                  beneficiary:
                                    type: COMPANY
                                    name: ITAU ARG
                                    document:
                                      type: CUIT
                                      id: '20907920276'
                                    userReference: Lorem
                                    email: aldana@mail.com
                                    phone:
                                      countryCode: countryCode
                                      areaCode: areaCode
                                      number: phoneNumber
                                    birthDate: '2021-11-08'
                                    nationality: beneficiary nationality
                                    address:
                                      street: Beneficiary adress
                                      number: '234'
                                      city: City
                                      state: Villa Rosa
                                      country: Country
                                      zipCode: '1411'
                                      comment: TEST
                                    bank:
                                      name: ARG TEST
                                      code: '007'
                                      account:
                                        type: C
                                        number: '1234567891234567891234'
                            merchant:
                              type: object
                              description: 商家信息。
                              properties:
                                name:
                                  type: string
                                  description: 商家名称。
                                lastname:
                                  type: 'null'
                                  description: 商家姓氏。
                                type:
                                  type: string
                                  description: 商户类型。
                            paymentMethod:
                              type: object
                              description: 支付方式信息。
                              properties:
                                code:
                                  type: string
                                  description: >-
                                    `payinPaymentMethods.code`
                                    [属性](/zh/reference/get-available-payment-methods)中提供的支付方式代码。
                                name:
                                  type: 'null'
                                  description: >-
                                    `payinPaymentMethods.code`
                                    [属性](/zh/reference/get-available-payment-methods)中提供的支付方式名称。
                                type:
                                  type: string
                                  description: >-
                                    `payinPaymentMethods.code`
                                    [属性](/zh/reference/get-available-payment-methods)中提供的支付方式类型。
                                flow:
                                  type: string
                                  description: >-
                                    定义支付数据的收集方式：`DIRECT` （在 API
                                    请求中）或`REDIRECT`（外部形式）。仅`DIRECT`目前已支持。
                                brand:
                                  type: 'null'
                                  description: 支付方式品牌。
                            comment:
                              type: string
                              description: 评论。
                            country:
                              type: string
                              description: '[国家/地区](/zh/reference/country-codes)。'
                            currency:
                              type: string
                              enum:
                                - ARS
                                - BOB
                                - BRL
                                - CLP
                                - COP
                                - CRC
                                - DOP
                                - USD
                                - GTQ
                                - MXN
                                - PYG
                                - PEN
                                - UYU
                              description: '[货币](/zh/reference/currency-codes)。'
                            amount:
                              type: integer
                              description: 金额。
                            externalId:
                              type: string
                              description: >-
                                系统生成的唯一标识符，用于跟踪交易（包含字母、数字和连字符）。我们建议使用 UUID4
                                以确保唯一性。
                            conceptCode:
                              type: string
                              description: 概念代码。
                            accountNumber:
                              type: string
                              description: Localpayment账号。
                            transactionType:
                              type: string
                              enum:
                                - PayIn
                                - PayOut
                                - CurrencyExchange
                                - Credit
                                - Debit
                                - Internal Transfer
                                - Refund
                                - Recurring Fee
                                - Wire out
                                - Subscriptions
                                - Chargeback
                                - Expenses
                                - Recall
                                - Return
                                - WireIn
                              description: 交易类型。
                            clientCode:
                              type: string
                              description: 客户端代码。
                            file:
                              type: boolean
                              description: 文件。
                        clientAccountCode:
                          type: string
                          description: 客户账号代码。
                        clientAccountDescription:
                          type: string
                          description: 客户账户描述。
                        closingBalance:
                          type: integer
                          description: 交易完成后的最终余额。
                        expirationAt:
                          type: string
                          description: 截止日期。
                        loteout:
                          type: 'null'
                        comment:
                          type: string
                          description: 评论。
                        metaData:
                          type: 'null'
                          description: 元数据。
                        internalLoteID:
                          type: 'null'
                          description: 内部批次标识符。
                        pendingStatusChangeRequest:
                          type: boolean
                          description: 如果交易有待处理的状态变更请求。
                  total:
                    type: integer
                    description: 响应中的交易数量。
                  offset:
                    type: integer
                    description: 响应中的页数。
                  openingBalance:
                    type: integer
                    description: "余额初始金额。\r\n\r\n"
                  closingBalance:
                    type: integer
                    description: "最终余额金额。\r\n\r\n"
                required:
                  - data
                  - total
                  - offset
                  - openingBalance
                  - closingBalance
                x-examples:
                  Example 1:
                    data:
                      - createdAt: '2024-12-05T15:34:56.259'
                        processedAt: '2024-12-05T15:38:00.20701'
                        settlementDate: '2024-12-05T15:38:00.20701'
                        settlementDays: 0
                        internalId: 0a78683f-1e3d-4fe0-ae1e-83dcdfd161cd
                        externalId: Autogenerated-ID-1733412895187
                        providerId: >-
                          qOoEqSADjhX0vhvVhuPVEO9FNtYrDTu3f9w7X5qAHkGyuXl5Vbw7mnRLEK6e6wgR
                        clientCode: '0001'
                        providerCode: null
                        accountCountry: CHL
                        country: CHL
                        accountNumber: '{{accountNumber}}'
                        clientName: Acme Inc.
                        providerName: null
                        merchant: LocalPayment
                        clientAccountNumber: '{{accountNumber}}'
                        providerAccountNumber: '{{providerAccountNumber}}'
                        transactionType: PayIn
                        paymentMethodType: BankTransfer
                        paymentMethodCode: '2528'
                        installments: 1
                        status: COMPLETED
                        statusCode: '200'
                        statusDescription: The payin was credited
                        paymentCurrency: CLP
                        paymentAmount: 3000
                        fxQuote: 1
                        confirmedCurrency: CLP
                        confirmedAmount: 3000
                        financialFeesCurrency: null
                        financialFeesAmount: null
                        feesCurrency: CLP
                        feesAmount: 0
                        localTaxesCurrency: CLP
                        localTaxesAmount: 0
                        withholdingsCurrency: null
                        withholdingsAmount: null
                        accountCurrency: CLP
                        accountAmount: 3000
                        createdBy: email@example.com
                        newStatusChangeRequest: null
                        request:
                          payer:
                            name: Prueba
                            type: INDIVIDUAL
                            payerLastName: null
                            lastname: null
                            email: jane.doe@example.com
                            document:
                              id: 8420157K
                              type: RUT
                            bank: null
                            userReference: null
                          merchant:
                            name: LocalPayment
                            lastname: null
                            type: COMPANY
                          paymentMethod:
                            code: '2528'
                            name: null
                            type: BankTransfer
                            flow: REDIRECT
                            brand: null
                          comment: Acme
                          country: CHL
                          currency: CLP
                          amount: 3000
                          externalId: Autogenerated-ID-1733412895187
                          conceptCode: '0001'
                          accountNumber: '{{accountNumber}}'
                          transactionType: PayIn
                          clientCode: '0001'
                          file: false
                        clientAccountCode: ACME.CHL.CLP.01
                        clientAccountDescription: PayIns
                        closingBalance: 32194
                        expirationAt: '2024-12-12T15:34:56.818'
                        loteout: null
                        comment: Acme
                        metaData: null
                        internalLoteID: null
                        pendingStatusChangeRequest: false
                    total: 1
                    offset: 0
                    openingBalance: 29194
                    closingBalance: 32194
              examples:
                Balance reconciliation:
                  value:
                    data:
                      - createdAt: '2024-12-05T15:34:56.259'
                        processedAt: '2024-12-05T15:38:00.20701'
                        settlementDate: '2024-12-05T15:38:00.20701'
                        settlementDays: 0
                        internalId: 0a78683f-1e3d-4fe0-ae1e-83dcdfd161cd
                        externalId: Autogenerated-ID-1733412895187
                        providerId: >-
                          qOoEqSADjhX0vhvVhuPVEO9FNtYrDTu3f9w7X5qAHkGyuXl5Vbw7mnRLEK6e6wgR
                        clientCode: '0001'
                        providerCode: null
                        accountCountry: CHL
                        country: CHL
                        accountNumber: '{{accountNumber}}'
                        clientName: Acme Inc.
                        providerName: null
                        merchant: LocalPayment
                        clientAccountNumber: '{{accountNumber}}'
                        providerAccountNumber: '{{providerAccountNumber}}'
                        transactionType: PayIn
                        paymentMethodType: BankTransfer
                        paymentMethodCode: '2528'
                        installments: 1
                        status: COMPLETED
                        statusCode: '200'
                        statusDescription: The payin was credited
                        paymentCurrency: CLP
                        paymentAmount: 3000
                        fxQuote: 1
                        confirmedCurrency: CLP
                        confirmedAmount: 3000
                        financialFeesCurrency: null
                        financialFeesAmount: null
                        feesCurrency: CLP
                        feesAmount: 0
                        localTaxesCurrency: CLP
                        localTaxesAmount: 0
                        withholdingsCurrency: null
                        withholdingsAmount: null
                        accountCurrency: CLP
                        accountAmount: 3000
                        createdBy: email@example.com
                        newStatusChangeRequest: null
                        request:
                          payer:
                            name: Prueba
                            type: INDIVIDUAL
                            payerLastName: null
                            lastname: null
                            email: jane.doe@example.com
                            document:
                              id: 8420157K
                              type: RUT
                            bank: null
                            userReference: null
                          merchant:
                            name: LocalPayment
                            lastname: null
                            type: COMPANY
                          paymentMethod:
                            code: '2528'
                            name: null
                            type: BankTransfer
                            flow: REDIRECT
                            brand: null
                          comment: Acme
                          country: CHL
                          currency: CLP
                          amount: 3000
                          externalId: Autogenerated-ID-1733412895187
                          conceptCode: '0001'
                          accountNumber: '{{accountNumber}}'
                          transactionType: PayIn
                          clientCode: '0001'
                          file: false
                        clientAccountCode: ACME.CHL.CLP.01
                        clientAccountDescription: PayIns
                        closingBalance: 32194
                        expirationAt: '2024-12-12T15:34:56.818'
                        loteout: null
                        comment: Acme
                        metaData: null
                        internalLoteID: null
                        pendingStatusChangeRequest: false
                    total: 1
                    offset: 0
                    openingBalance: 29194
                    closingBalance: 32194
                Empty:
                  value:
                    data: []
                    total: 0
                    offset: 0
                    openingBalance: 32194
                    closingBalance: 32194
        '401':
          description: 未经授权。
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: 回复的补充信息。
                  code:
                    type: string
                    description: 状态码。
                  messages:
                    type: array
                    description: 消息列表。
                    items:
                      type: object
                      properties:
                        token_class:
                          type: string
                          description: Token 类。
                        token_type:
                          type: string
                          description: 令牌类型。
                        message:
                          type: string
                          description: 包含补充信息的消息。
                x-examples:
                  Example 1:
                    detail: Given token not valid for any token type
                    code: token_not_valid
                    messages:
                      - token_class: AccessToken
                        token_type: access
                        message: Token is invalid or expired
              examples:
                Example 1:
                  value:
                    detail: Given token not valid for any token type
                    code: token_not_valid
                    messages:
                      - token_class: AccessToken
                        token_type: access
                        message: Token is invalid or expired
        '500':
          description: 内部服务器错误
          content:
            text/html:
              schema:
                type: object
              examples:
                Example 1:
                  value: >-
                    <!doctype html><html lang="en"><head><title>Server Error
                    (500)</title></head><body><h1>Server Error
                    (500)</h1><p></p></body></html>
      security:
        - token: []
      servers:
        - url: https://api.stage.localpayment.com
          description: Stage
components:
  securitySchemes:
    token:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.